=== modified file 'Makefile.am'
--- Makefile.am	2009-12-04 11:09:16 +0000
+++ Makefile.am	2009-12-04 19:01:26 +0000
@@ -16,6 +16,7 @@
 ACLOCAL_AMFLAGS = -I m4 --force
 
 # includes append to these:
+SUFFIXES =
 TESTS = 
 check_PROGRAMS =
 noinst_HEADERS =
@@ -31,10 +32,7 @@
 
 SUBDIRS = ${po} \
 	  gnulib \
-	  . \
-	  drizzled \
-	  tests \
-	  support-files
+	  .
 
 BUILT_SOURCES=		drizzled/configmake.h
 EXTRA_DIST=		config/config.rpath m4/gnulib-cache.m4 \
@@ -228,26 +226,6 @@
 
 test: test-drizzle
 
-test-all:
-	cd tests ; \
-	$(MAKE) $(AM_MAKEFLAGS) test-all
-
-test-drizzle:
-	cd tests ; \
-	$(MAKE) $(AM_MAKEFLAGS) test-drizzle
-
-test-junitxml:
-	cd tests ; \
-	$(MAKE) $(AM_MAKEFLAGS) test-junitxml
-
-test-big:
-	cd tests ; \
-	$(MAKE) $(AM_MAKEFLAGS) test-big
-
-test-big-junitxml:
-	cd tests ; \
-	$(MAKE) $(AM_MAKEFLAGS) test-big-junitxml
-
 doxygen:
 	doxygen Doxyfile
 
@@ -306,5 +284,8 @@
 
 include config/lint-source.am
 
+include drizzled/include.am
 include drizzled/hash/include.am
 include drizzled/message/include.am
+include support-files/include.am
+include tests/include.am

=== modified file 'config/lint-source.am'
--- config/lint-source.am	2009-12-04 08:31:15 +0000
+++ config/lint-source.am	2009-12-04 19:01:26 +0000
@@ -1,7 +1,7 @@
 LINT_COMMAND=python ${top_srcdir}/extra/cpplint.py  --filter=-whitespace,-runtime,-readability,+legal,-build,+build/header_guard,+build/include_config,+build/namespaces
 
 # make a dep file from a cc by linting
-SUFFIXES = .cc.linted .h.linted
+SUFFIXES += .cc.linted .h.linted
 .cc.cc.linted:
 	@test -d `dirname $@` || mkdir -p `dirname $@`
 	$(LINT_COMMAND) --deps $@ $<

=== renamed file 'drizzled/hash/Makefile.am' => 'drizzled/hash/include.am'
=== renamed file 'drizzled/Makefile.am' => 'drizzled/include.am'
--- drizzled/Makefile.am	2009-11-26 05:22:18 +0000
+++ drizzled/include.am	2009-12-04 19:01:26 +0000
@@ -14,771 +14,771 @@
 #  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
 
-sbin_PROGRAMS= drizzled
+sbin_PROGRAMS= drizzled/drizzled
 
-DTRACEFILES = cursor.o \
-	      filesort.o \
-	      drizzled.o \
-	      session.o \
-	      sql_delete.o \
-	      sql_insert.o \
-	      sql_select.o \
-	      sql_update.o \
-	      sql_parse.o \
-	      statement/delete.o \
-	      statement/insert.o \
-	      statement/insert_select.o
+DTRACEFILES = drizzled/cursor.o \
+	      drizzled/filesort.o \
+	      drizzled/drizzled.o \
+	      drizzled/session.o \
+	      drizzled/sql_delete.o \
+	      drizzled/sql_insert.o \
+	      drizzled/sql_select.o \
+	      drizzled/sql_update.o \
+	      drizzled/sql_parse.o \
+	      drizzled/statement/delete.o \
+	      drizzled/statement/insert.o \
+	      drizzled/statement/insert_select.o
 
 drizzledincludedir = ${includedir}/drizzled
 nobase_dist_drizzledinclude_HEADERS = \
-		alter_column.h \
-		alter_drop.h \
-		alter_info.h \
-		atomic/gcc_traits.h \
-		atomic/pthread_traits.h \
-		atomic/sun_studio.h \
-		atomics.h \
-		base.h \
-		cached_item.h \
-		calendar.h \
-		check_stack_overrun.h \
-		common.h \
-		comp_creator.h \
-		cost_vect.h \
-		create_field.h \
-		current_session.h \
-		data_home.h \
-		db.h \
-		definitions.h \
-		diagnostics_area.h \
-		discrete_interval.h \
-		dtcollation.h \
-		enum.h \
-		enum_nested_loop_state.h \
-		errmsg_print.h \
-		error.h \
-		field.h \
-		field/blob.h \
-		field/date.h \
-		field/datetime.h \
-		field/decimal.h \
-		field/double.h \
-		field/enum.h \
-		field/int64_t.h \
-		field/long.h \
-		field/null.h \
-		field/num.h \
-		field/real.h \
-		field/str.h \
-		field/timestamp.h \
-		field/varstring.h \
-		field_iterator.h \
-		file_exchange.h \
-		filesort_info.h \
-		foreign_key.h \
-		function/additive_op.h \
-		function/coercibility.h \
-		function/field.h \
-		function/find_in_set.h \
-		function/found_rows.h \
-		function/func.h \
-		function/get_system_var.h \
-		function/get_user_var.h \
-		function/last_insert.h \
-		function/locate.h \
-		function/math/abs.h \
-		function/math/acos.h \
-		function/math/asin.h \
-		function/math/atan.h \
-		function/math/ceiling.h \
-		function/math/cos.h \
-		function/math/dec.h \
-		function/math/decimal_typecast.h \
-		function/math/divide.h \
-		function/math/exp.h \
-		function/math/floor.h \
-		function/math/int.h \
-		function/math/int_divide.h \
-		function/math/int_val.h \
-		function/math/integer.h \
-		function/math/ln.h \
-		function/math/log.h \
-		function/math/minus.h \
-		function/math/mod.h \
-		function/math/multiply.h \
-		function/math/neg.h \
-		function/math/ord.h \
-		function/math/plus.h \
-		function/math/pow.h \
-		function/math/rand.h \
-		function/math/real.h \
-		function/math/round.h \
-		function/math/sin.h \
-		function/math/sqrt.h \
-		function/math/tan.h \
-		function/min_max.h \
-		function/num1.h \
-		function/num_op.h \
-		function/numhybrid.h \
-		function/rollup_const.h \
-		function/row_count.h \
-		function/set_user_var.h \
-		function/sign.h \
-		function/signed.h \
-		function/str/alloc_buffer.h \
-		function/str/binary.h \
-		function/str/char.h \
-		function/str/collation.h \
-		function/str/concat.h \
-		function/str/conv.h \
-		function/str/conv_charset.h \
-		function/str/database.h \
-		function/str/elt.h \
-		function/str/export_set.h \
-		function/str/format.h \
-		function/str/hex.h \
-		function/str/insert.h \
-		function/str/left.h \
-		function/str/load_file.h \
-		function/str/make_set.h \
-		function/str/pad.h \
-		function/str/quote.h \
-		function/str/repeat.h \
-		function/str/replace.h \
-		function/str/reverse.h \
-		function/str/right.h \
-		function/str/set_collation.h \
-		function/str/str_conv.h \
-		function/str/strfunc.h \
-		function/str/substr.h \
-		function/str/trim.h \
-		function/str/user.h \
-		function/str/uuid.h \
-		function/str/weight_string.h \
-		function/time/curdate.h \
-		function/time/date.h \
-		function/time/date_add_interval.h \
-		function/time/date_format.h \
-		function/time/dayname.h \
-		function/time/dayofmonth.h \
-		function/time/dayofyear.h \
-		function/time/extract.h \
-		function/time/from_days.h \
-		function/time/from_unixtime.h \
-		function/time/hour.h \
-		function/time/last_day.h \
-		function/time/makedate.h \
-		function/time/microsecond.h \
-		function/time/minute.h \
-		function/time/month.h \
-		function/time/now.h \
-		function/time/period_add.h \
-		function/time/period_diff.h \
-		function/time/quarter.h \
-		function/time/second.h \
-		function/time/sysdate_local.h \
-		function/time/timestamp_diff.h \
-		function/time/to_days.h \
-		function/time/typecast.h \
-		function/time/unix_timestamp.h \
-		function/time/weekday.h \
-		function/time/year.h  \
-		function/units.h \
-		function/unsigned.h \
-		function/user_var_as_out_param.h \
-		function_hash.h \
-		ha_statistics.h \
-		ha_trx_info.h \
-		cursor.h \
-		handler_structs.h \
-		hybrid_type.h \
-		hybrid_type_traits.h \
-		hybrid_type_traits_decimal.h \
-		hybrid_type_traits_integer.h \
-		index_hint.h \
-		internal_error_handler.h \
-		item.h \
-		item/basic_constant.h \
-		item/bin_string.h \
-		item/blob.h \
-		item/cache.h \
-		item/cache_decimal.h \
-		item/cache_int.h \
-		item/cache_real.h \
-		item/cache_row.h \
-		item/cache_str.h \
-		item/cmpfunc.h \
-		item/copy_string.h \
-		item/create.h \
-		item/decimal.h \
-		item/default_value.h \
-		item/direct_ref.h \
-		item/empty_string.h \
-		item/field.h \
-		item/float.h \
-		item/func.h \
-		item/hex_string.h \
-		item/ident.h \
-		item/insert_value.h \
-		item/int.h \
-		item/int_with_ref.h \
-		item/null.h \
-		item/num.h \
-		item/outer_ref.h \
-		item/ref.h \
-		item/ref_null_helper.h \
-		item/return_date_time.h \
-		item/return_int.h \
-		item/row.h \
-		item/string.h \
-		item/subselect.h \
-		item/sum.h \
-		item/type_holder.h \
-		item/uint.h \
-		join.h \
-		join_cache.h \
-		join_table.h \
-		key.h \
-		key_map.h \
-		key_part_spec.h \
-		korr.h \
-		lex_column.h \
-		lex_input_stream.h \
-		lex_string.h \
-		lex_symbol.h \
-		lock.h \
-		lookup_symbol.h \
-		memory/multi_malloc.h \
-		my_decimal.h\
-		my_var.h \
-		name_map.h \
-		name_resolution_context.h \
-		name_resolution_context_state.h \
-		natural_join_column.h \
-		nested_join.h \
-		open_tables_state.h \
-		opt_range.h \
-		optimizer/key_field.h \
-		optimizer/key_use.h \
-		optimizer/position.h \
-		optimizer/sargable_param.h \
-		order.h \
-		plugin.h \
-		plugin/authentication.h \
-		plugin/client.h \
-		plugin/error_message.h \
-		plugin/function.h \
-		plugin/info_schema_table.h \
-		plugin/library.h \
-		plugin/listen.h \
-		plugin/listen_tcp.h \
-		plugin/logging.h \
-		plugin/manifest.h \
-		plugin/module.h \
-		plugin/null_client.h \
-		plugin/plugin.h \
-		plugin/query_cache.h \
-		plugin/registry.h \
-		plugin/scheduler.h \
-		plugin/storage_engine.h \
-		plugin/transaction_applier.h \
-		plugin/transaction_reader.h \
-		plugin/transaction_replicator.h \
-		probes.h \
-		query_id.h \
-		replication_services.h \
-		security_context.h \
-		select_create.h \
-		select_dump.h \
-		select_dumpvar.h \
-		select_exists_subselect.h \
-		select_export.h \
-		select_insert.h \
-		select_max_min_finder_subselect.h \
-		select_result.h \
-		select_result_interceptor.h \
-		select_send.h \
-		select_singlerow_subselect.h \
-		select_subselect.h \
-		select_to_file.h \
-		select_union.h \
-		session.h \
-		set_var.h \
-		show.h \
-		sql_alloc.h \
-		sql_array.h \
-		sql_base.h \
-		sql_bitmap.h \
-		sql_error.h \
-		sql_lex.h \
-		sql_list.h \
-		sql_load.h \
-		sql_locale.h \
-		sql_parse.h \
-		sql_select.h \
-		sql_sort.h \
-		sql_state.h \
-		sql_string.h \
-		sql_table.h \
-		sql_union.h \
-		stacktrace.h \
-		statement.h \
-		statement/alter_schema.h \
-		statement/alter_table.h \
-		statement/analyze.h \
-		statement/change_schema.h \
-		statement/check.h \
-		statement/checksum.h \
-		statement/commit.h \
-		statement/create_index.h \
-		statement/create_schema.h \
-		statement/create_table.h \
-		statement/delete.h \
-		statement/drop_index.h \
-		statement/drop_schema.h \
-		statement/drop_table.h \
-		statement/empty_query.h \
-		statement/flush.h \
-		statement/insert.h \
-		statement/insert_select.h \
-		statement/kill.h \
-		statement/load.h \
-		statement/release_savepoint.h \
-		statement/rename_table.h \
-		statement/replace.h \
-		statement/replace_select.h \
-		statement/rollback.h \
-		statement/rollback_to_savepoint.h \
-		statement/savepoint.h \
-		statement/select.h \
-		statement/set_option.h \
-		statement/show_create.h \
-		statement/show_create_schema.h \
-		statement/show_engine_status.h \
-		statement/show_errors.h \
-		statement/show_processlist.h \
-		statement/show_status.h \
-		statement/show_warnings.h \
-		statement/start_transaction.h \
-		statement/truncate.h \
-		statement/unlock_tables.h \
-		statement/update.h \
-		stored_key.h \
-		structs.h \
-		symbol_hash.h \
-		table.h \
-		table_ident.h \
-		table_identifier.h \
-		table_list.h \
-		table_map_iterator.h \
-		table_proto.h \
-		table_reference.h \
-		table_share.h \
-		temporal.h \
-		temporal_format.h \
-		temporal_interval.h \
-		tmp_table_param.h \
-		tzfile.h \
-		tztime.h \
-		unique.h \
-		unireg.h \
-		user_var_entry.h \
-		utf8.h \
-		utf8/checked.h \
-		utf8/core.h \
-		utf8/unchecked.h \
-		xid.h
+		drizzled/alter_column.h \
+		drizzled/alter_drop.h \
+		drizzled/alter_info.h \
+		drizzled/atomic/gcc_traits.h \
+		drizzled/atomic/pthread_traits.h \
+		drizzled/atomic/sun_studio.h \
+		drizzled/atomics.h \
+		drizzled/base.h \
+		drizzled/cached_item.h \
+		drizzled/calendar.h \
+		drizzled/check_stack_overrun.h \
+		drizzled/common.h \
+		drizzled/comp_creator.h \
+		drizzled/cost_vect.h \
+		drizzled/create_field.h \
+		drizzled/current_session.h \
+		drizzled/data_home.h \
+		drizzled/db.h \
+		drizzled/definitions.h \
+		drizzled/diagnostics_area.h \
+		drizzled/discrete_interval.h \
+		drizzled/dtcollation.h \
+		drizzled/enum.h \
+		drizzled/enum_nested_loop_state.h \
+		drizzled/errmsg_print.h \
+		drizzled/error.h \
+		drizzled/field.h \
+		drizzled/field/blob.h \
+		drizzled/field/date.h \
+		drizzled/field/datetime.h \
+		drizzled/field/decimal.h \
+		drizzled/field/double.h \
+		drizzled/field/enum.h \
+		drizzled/field/int64_t.h \
+		drizzled/field/long.h \
+		drizzled/field/null.h \
+		drizzled/field/num.h \
+		drizzled/field/real.h \
+		drizzled/field/str.h \
+		drizzled/field/timestamp.h \
+		drizzled/field/varstring.h \
+		drizzled/field_iterator.h \
+		drizzled/file_exchange.h \
+		drizzled/filesort_info.h \
+		drizzled/foreign_key.h \
+		drizzled/function/additive_op.h \
+		drizzled/function/coercibility.h \
+		drizzled/function/field.h \
+		drizzled/function/find_in_set.h \
+		drizzled/function/found_rows.h \
+		drizzled/function/func.h \
+		drizzled/function/get_system_var.h \
+		drizzled/function/get_user_var.h \
+		drizzled/function/last_insert.h \
+		drizzled/function/locate.h \
+		drizzled/function/math/abs.h \
+		drizzled/function/math/acos.h \
+		drizzled/function/math/asin.h \
+		drizzled/function/math/atan.h \
+		drizzled/function/math/ceiling.h \
+		drizzled/function/math/cos.h \
+		drizzled/function/math/dec.h \
+		drizzled/function/math/decimal_typecast.h \
+		drizzled/function/math/divide.h \
+		drizzled/function/math/exp.h \
+		drizzled/function/math/floor.h \
+		drizzled/function/math/int.h \
+		drizzled/function/math/int_divide.h \
+		drizzled/function/math/int_val.h \
+		drizzled/function/math/integer.h \
+		drizzled/function/math/ln.h \
+		drizzled/function/math/log.h \
+		drizzled/function/math/minus.h \
+		drizzled/function/math/mod.h \
+		drizzled/function/math/multiply.h \
+		drizzled/function/math/neg.h \
+		drizzled/function/math/ord.h \
+		drizzled/function/math/plus.h \
+		drizzled/function/math/pow.h \
+		drizzled/function/math/rand.h \
+		drizzled/function/math/real.h \
+		drizzled/function/math/round.h \
+		drizzled/function/math/sin.h \
+		drizzled/function/math/sqrt.h \
+		drizzled/function/math/tan.h \
+		drizzled/function/min_max.h \
+		drizzled/function/num1.h \
+		drizzled/function/num_op.h \
+		drizzled/function/numhybrid.h \
+		drizzled/function/rollup_const.h \
+		drizzled/function/row_count.h \
+		drizzled/function/set_user_var.h \
+		drizzled/function/sign.h \
+		drizzled/function/signed.h \
+		drizzled/function/str/alloc_buffer.h \
+		drizzled/function/str/binary.h \
+		drizzled/function/str/char.h \
+		drizzled/function/str/collation.h \
+		drizzled/function/str/concat.h \
+		drizzled/function/str/conv.h \
+		drizzled/function/str/conv_charset.h \
+		drizzled/function/str/database.h \
+		drizzled/function/str/elt.h \
+		drizzled/function/str/export_set.h \
+		drizzled/function/str/format.h \
+		drizzled/function/str/hex.h \
+		drizzled/function/str/insert.h \
+		drizzled/function/str/left.h \
+		drizzled/function/str/load_file.h \
+		drizzled/function/str/make_set.h \
+		drizzled/function/str/pad.h \
+		drizzled/function/str/quote.h \
+		drizzled/function/str/repeat.h \
+		drizzled/function/str/replace.h \
+		drizzled/function/str/reverse.h \
+		drizzled/function/str/right.h \
+		drizzled/function/str/set_collation.h \
+		drizzled/function/str/str_conv.h \
+		drizzled/function/str/strfunc.h \
+		drizzled/function/str/substr.h \
+		drizzled/function/str/trim.h \
+		drizzled/function/str/user.h \
+		drizzled/function/str/uuid.h \
+		drizzled/function/str/weight_string.h \
+		drizzled/function/time/curdate.h \
+		drizzled/function/time/date.h \
+		drizzled/function/time/date_add_interval.h \
+		drizzled/function/time/date_format.h \
+		drizzled/function/time/dayname.h \
+		drizzled/function/time/dayofmonth.h \
+		drizzled/function/time/dayofyear.h \
+		drizzled/function/time/extract.h \
+		drizzled/function/time/from_days.h \
+		drizzled/function/time/from_unixtime.h \
+		drizzled/function/time/hour.h \
+		drizzled/function/time/last_day.h \
+		drizzled/function/time/makedate.h \
+		drizzled/function/time/microsecond.h \
+		drizzled/function/time/minute.h \
+		drizzled/function/time/month.h \
+		drizzled/function/time/now.h \
+		drizzled/function/time/period_add.h \
+		drizzled/function/time/period_diff.h \
+		drizzled/function/time/quarter.h \
+		drizzled/function/time/second.h \
+		drizzled/function/time/sysdate_local.h \
+		drizzled/function/time/timestamp_diff.h \
+		drizzled/function/time/to_days.h \
+		drizzled/function/time/typecast.h \
+		drizzled/function/time/unix_timestamp.h \
+		drizzled/function/time/weekday.h \
+		drizzled/function/time/year.h  \
+		drizzled/function/units.h \
+		drizzled/function/unsigned.h \
+		drizzled/function/user_var_as_out_param.h \
+		drizzled/function_hash.h \
+		drizzled/ha_statistics.h \
+		drizzled/ha_trx_info.h \
+		drizzled/cursor.h \
+		drizzled/handler_structs.h \
+		drizzled/hybrid_type.h \
+		drizzled/hybrid_type_traits.h \
+		drizzled/hybrid_type_traits_decimal.h \
+		drizzled/hybrid_type_traits_integer.h \
+		drizzled/index_hint.h \
+		drizzled/internal_error_handler.h \
+		drizzled/item.h \
+		drizzled/item/basic_constant.h \
+		drizzled/item/bin_string.h \
+		drizzled/item/blob.h \
+		drizzled/item/cache.h \
+		drizzled/item/cache_decimal.h \
+		drizzled/item/cache_int.h \
+		drizzled/item/cache_real.h \
+		drizzled/item/cache_row.h \
+		drizzled/item/cache_str.h \
+		drizzled/item/cmpfunc.h \
+		drizzled/item/copy_string.h \
+		drizzled/item/create.h \
+		drizzled/item/decimal.h \
+		drizzled/item/default_value.h \
+		drizzled/item/direct_ref.h \
+		drizzled/item/empty_string.h \
+		drizzled/item/field.h \
+		drizzled/item/float.h \
+		drizzled/item/func.h \
+		drizzled/item/hex_string.h \
+		drizzled/item/ident.h \
+		drizzled/item/insert_value.h \
+		drizzled/item/int.h \
+		drizzled/item/int_with_ref.h \
+		drizzled/item/null.h \
+		drizzled/item/num.h \
+		drizzled/item/outer_ref.h \
+		drizzled/item/ref.h \
+		drizzled/item/ref_null_helper.h \
+		drizzled/item/return_date_time.h \
+		drizzled/item/return_int.h \
+		drizzled/item/row.h \
+		drizzled/item/string.h \
+		drizzled/item/subselect.h \
+		drizzled/item/sum.h \
+		drizzled/item/type_holder.h \
+		drizzled/item/uint.h \
+		drizzled/join.h \
+		drizzled/join_cache.h \
+		drizzled/join_table.h \
+		drizzled/key.h \
+		drizzled/key_map.h \
+		drizzled/key_part_spec.h \
+		drizzled/korr.h \
+		drizzled/lex_column.h \
+		drizzled/lex_input_stream.h \
+		drizzled/lex_string.h \
+		drizzled/lex_symbol.h \
+		drizzled/lock.h \
+		drizzled/lookup_symbol.h \
+		drizzled/memory/multi_malloc.h \
+		drizzled/my_decimal.h\
+		drizzled/my_var.h \
+		drizzled/name_map.h \
+		drizzled/name_resolution_context.h \
+		drizzled/name_resolution_context_state.h \
+		drizzled/natural_join_column.h \
+		drizzled/nested_join.h \
+		drizzled/open_tables_state.h \
+		drizzled/opt_range.h \
+		drizzled/optimizer/key_field.h \
+		drizzled/optimizer/key_use.h \
+		drizzled/optimizer/position.h \
+		drizzled/optimizer/sargable_param.h \
+		drizzled/order.h \
+		drizzled/plugin.h \
+		drizzled/plugin/authentication.h \
+		drizzled/plugin/client.h \
+		drizzled/plugin/error_message.h \
+		drizzled/plugin/function.h \
+		drizzled/plugin/info_schema_table.h \
+		drizzled/plugin/library.h \
+		drizzled/plugin/listen.h \
+		drizzled/plugin/listen_tcp.h \
+		drizzled/plugin/logging.h \
+		drizzled/plugin/manifest.h \
+		drizzled/plugin/module.h \
+		drizzled/plugin/null_client.h \
+		drizzled/plugin/plugin.h \
+		drizzled/plugin/query_cache.h \
+		drizzled/plugin/registry.h \
+		drizzled/plugin/scheduler.h \
+		drizzled/plugin/storage_engine.h \
+		drizzled/plugin/transaction_applier.h \
+		drizzled/plugin/transaction_reader.h \
+		drizzled/plugin/transaction_replicator.h \
+		drizzled/probes.h \
+		drizzled/query_id.h \
+		drizzled/replication_services.h \
+		drizzled/security_context.h \
+		drizzled/select_create.h \
+		drizzled/select_dump.h \
+		drizzled/select_dumpvar.h \
+		drizzled/select_exists_subselect.h \
+		drizzled/select_export.h \
+		drizzled/select_insert.h \
+		drizzled/select_max_min_finder_subselect.h \
+		drizzled/select_result.h \
+		drizzled/select_result_interceptor.h \
+		drizzled/select_send.h \
+		drizzled/select_singlerow_subselect.h \
+		drizzled/select_subselect.h \
+		drizzled/select_to_file.h \
+		drizzled/select_union.h \
+		drizzled/session.h \
+		drizzled/set_var.h \
+		drizzled/show.h \
+		drizzled/sql_alloc.h \
+		drizzled/sql_array.h \
+		drizzled/sql_base.h \
+		drizzled/sql_bitmap.h \
+		drizzled/sql_error.h \
+		drizzled/sql_lex.h \
+		drizzled/sql_list.h \
+		drizzled/sql_load.h \
+		drizzled/sql_locale.h \
+		drizzled/sql_parse.h \
+		drizzled/sql_select.h \
+		drizzled/sql_sort.h \
+		drizzled/sql_state.h \
+		drizzled/sql_string.h \
+		drizzled/sql_table.h \
+		drizzled/sql_union.h \
+		drizzled/stacktrace.h \
+		drizzled/statement.h \
+		drizzled/statement/alter_schema.h \
+		drizzled/statement/alter_table.h \
+		drizzled/statement/analyze.h \
+		drizzled/statement/change_schema.h \
+		drizzled/statement/check.h \
+		drizzled/statement/checksum.h \
+		drizzled/statement/commit.h \
+		drizzled/statement/create_index.h \
+		drizzled/statement/create_schema.h \
+		drizzled/statement/create_table.h \
+		drizzled/statement/delete.h \
+		drizzled/statement/drop_index.h \
+		drizzled/statement/drop_schema.h \
+		drizzled/statement/drop_table.h \
+		drizzled/statement/empty_query.h \
+		drizzled/statement/flush.h \
+		drizzled/statement/insert.h \
+		drizzled/statement/insert_select.h \
+		drizzled/statement/kill.h \
+		drizzled/statement/load.h \
+		drizzled/statement/release_savepoint.h \
+		drizzled/statement/rename_table.h \
+		drizzled/statement/replace.h \
+		drizzled/statement/replace_select.h \
+		drizzled/statement/rollback.h \
+		drizzled/statement/rollback_to_savepoint.h \
+		drizzled/statement/savepoint.h \
+		drizzled/statement/select.h \
+		drizzled/statement/set_option.h \
+		drizzled/statement/show_create.h \
+		drizzled/statement/show_create_schema.h \
+		drizzled/statement/show_engine_status.h \
+		drizzled/statement/show_errors.h \
+		drizzled/statement/show_processlist.h \
+		drizzled/statement/show_status.h \
+		drizzled/statement/show_warnings.h \
+		drizzled/statement/start_transaction.h \
+		drizzled/statement/truncate.h \
+		drizzled/statement/unlock_tables.h \
+		drizzled/statement/update.h \
+		drizzled/stored_key.h \
+		drizzled/structs.h \
+		drizzled/symbol_hash.h \
+		drizzled/table.h \
+		drizzled/table_ident.h \
+		drizzled/table_identifier.h \
+		drizzled/table_list.h \
+		drizzled/table_map_iterator.h \
+		drizzled/table_proto.h \
+		drizzled/table_reference.h \
+		drizzled/table_share.h \
+		drizzled/temporal.h \
+		drizzled/temporal_format.h \
+		drizzled/temporal_interval.h \
+		drizzled/tmp_table_param.h \
+		drizzled/tzfile.h \
+		drizzled/tztime.h \
+		drizzled/unique.h \
+		drizzled/unireg.h \
+		drizzled/user_var_entry.h \
+		drizzled/utf8.h \
+		drizzled/utf8/checked.h \
+		drizzled/utf8/core.h \
+		drizzled/utf8/unchecked.h \
+		drizzled/xid.h
 
-noinst_LTLIBRARIES = \
-		libhandler.la \
-		libserialutil.la
+noinst_LTLIBRARIES += \
+		drizzled/libhandler.la \
+		drizzled/libserialutil.la
 
 LDADD = $(top_builddir)/mysys/libmysys.la \
 	$(top_builddir)/mystrings/libmystrings.la \
 	$(LTLIBDRIZZLE) $(LIBZ) $(LIBINTL) ${LIBC_P}
 
-drizzled_LDADD = ${noinst_LTLIBRARIES} \
+drizzled_drizzled_LDADD = ${noinst_LTLIBRARIES} \
 		 $(top_builddir)/drizzled/hash/libhash.la \
 		 $(top_builddir)/drizzled/message/libdrizzledmessage.la \
 		 $(pandora_plugin_libs) \
 		 $(LDADD) $(LIBUUID) ${top_builddir}/gnulib/libgnu.la \
 		 $(LIBDL_LIBS) $(LIBPROTOBUF) $(LIBPCRE) $(LIBTBB) \
 		 $(PANDORA_PLUGIN_DEP_LIBS)
-drizzled_DEPENDENCIES= ${noinst_LTLIBRARIES} $(pandora_plugin_libs)
-
-drizzled_LDFLAGS = -export-dynamic
-
-
-noinst_HEADERS = \
-		hash.h \
-		gettext.h \
-		global.h \
-		server_includes.h \
-		util/convert.h \
-		util/test.h
-
-drizzled_SOURCES = \
-		alter_info.cc \
-		cached_item.cc \
-		calendar.cc \
-		check_stack_overrun.cc \
-		comp_creator.cc \
-		create_field.cc \
-		current_session.cc \
-		diagnostics_area.cc \
-		drizzled.cc \
-		dtcollation.cc \
-		errmsg_print.cc \
-		error.cc \
-		field.cc \
-		field/blob.cc \
-		field/date.cc \
-		field/datetime.cc \
-		field/decimal.cc \
-		field/double.cc \
-		field/enum.cc \
-		field/int64_t.cc \
-		field/long.cc \
-		field/null.cc \
-		field/num.cc \
-		field/real.cc \
-		field/str.cc \
-		field/timestamp.cc \
-		field/varstring.cc \
-		field_conv.cc \
-		field_iterator.cc \
-		file_exchange.cc \
-		filesort.cc \
-		foreign_key.cc \
-		function/additive_op.cc \
-		function/check_reserved_words.cc \
-		function/coercibility.cc \
-		function/field.cc \
-		function/find_in_set.cc \
-		function/found_rows.cc \
-		function/func.cc \
-		function/get_system_var.cc \
-		function/get_user_var.cc \
-		function/last_insert.cc \
-		function/locate.cc \
-		function/math/abs.cc \
-		function/math/acos.cc \
-		function/math/asin.cc \
-		function/math/atan.cc \
-		function/math/ceiling.cc \
-		function/math/cos.cc \
-		function/math/decimal_typecast.cc \
-		function/math/divide.cc \
-		function/math/exp.cc \
-		function/math/floor.cc \
-		function/math/int.cc \
-		function/math/int_divide.cc \
-		function/math/int_val.cc \
-		function/math/integer.cc \
-		function/math/ln.cc \
-		function/math/log.cc \
-		function/math/minus.cc \
-		function/math/mod.cc \
-		function/math/multiply.cc \
-		function/math/neg.cc \
-		function/math/ord.cc \
-		function/math/plus.cc \
-		function/math/pow.cc \
-		function/math/rand.cc \
-		function/math/real.cc \
-		function/math/round.cc \
-		function/math/sin.cc \
-		function/math/sqrt.cc \
-		function/math/tan.cc \
-		function/min_max.cc \
-		function/num1.cc \
-		function/num_op.cc \
-		function/numhybrid.cc \
-		function/row_count.cc \
-		function/set_user_var.cc \
-		function/sign.cc \
-		function/signed.cc \
-		function/str/alloc_buffer.cc \
-		function/str/binary.cc \
-		function/str/char.cc \
-		function/str/collation.cc \
-		function/str/concat.cc \
-		function/str/conv.cc \
-		function/str/conv_charset.cc \
-		function/str/database.cc \
-		function/str/elt.cc \
-		function/str/export_set.cc \
-		function/str/format.cc \
-		function/str/hex.cc \
-		function/str/insert.cc \
-		function/str/left.cc \
-		function/str/load_file.cc \
-		function/str/make_set.cc \
-		function/str/pad.cc \
-		function/str/quote.cc \
-		function/str/repeat.cc \
-		function/str/replace.cc \
-		function/str/reverse.cc \
-		function/str/right.cc \
-		function/str/set_collation.cc \
-		function/str/str_conv.cc \
-		function/str/strfunc.cc \
-		function/str/substr.cc \
-		function/str/trim.cc \
-		function/str/user.cc \
-		function/str/uuid.cc \
-		function/str/weight_string.cc \
-		function/time/curdate.cc \
-		function/time/date.cc \
-		function/time/date_add_interval.cc \
-		function/time/date_format.cc \
-		function/time/dayname.cc \
-		function/time/dayofmonth.cc \
-		function/time/dayofyear.cc \
-		function/time/extract.cc \
-		function/time/from_days.cc \
-		function/time/from_unixtime.cc \
-		function/time/hour.cc \
-		function/time/last_day.cc \
-		function/time/makedate.cc \
-		function/time/microsecond.cc \
-		function/time/minute.cc \
-		function/time/month.cc \
-		function/time/now.cc \
-		function/time/period_add.cc \
-		function/time/period_diff.cc \
-		function/time/quarter.cc \
-		function/time/second.cc \
-		function/time/sysdate_local.cc \
-		function/time/timestamp_diff.cc \
-		function/time/to_days.cc \
-		function/time/typecast.cc \
-		function/time/unix_timestamp.cc \
-		function/time/weekday.cc \
-		function/time/year.cc \
-		function/units.cc \
-		function/unsigned.cc \
-		function/user_var_as_out_param.cc \
-		ha_commands.cc \
-		ha_trx_info.cc \
-		hybrid_type_traits.cc \
-		hybrid_type_traits_decimal.cc \
-		hybrid_type_traits_integer.cc \
-		index_hint.cc \
-		item.cc \
-		item/bin_string.cc \
-		item/cache.cc \
-		item/cache_decimal.cc \
-		item/cache_int.cc \
-		item/cache_real.cc \
-		item/cache_row.cc \
-		item/cache_str.cc \
-		item/cmpfunc.cc \
-		item/copy_string.cc \
-		item/create.cc \
-		item/decimal.cc \
-		item/default_value.cc \
-		item/direct_ref.cc \
-		item/empty_string.cc \
-		item/field.cc \
-		item/float.cc \
-		item/hex_string.cc \
-		item/ident.cc \
-		item/insert_value.cc \
-		item/int.cc \
-		item/int_with_ref.cc \
-		item/null.cc \
-		item/num.cc \
-		item/outer_ref.cc \
-		item/ref.cc \
-		item/ref_null_helper.cc \
-		item/row.cc \
-		item/string.cc \
-		item/subselect.cc \
-		item/sum.cc \
-		item/type_holder.cc \
-		item/uint.cc \
-		join.cc \
-		join_cache.cc \
-		join_table.cc \
-		key.cc \
-		key_map.cc \
-		lock.cc \
-		lookup_symbol.cc \
-		memory/multi_malloc.cc \
-		my_decimal.cc \
-		name_resolution_context_state.cc \
-		natural_join_column.cc \
-		opt_range.cc \
-		opt_sum.cc \
-		optimizer/key_field.cc \
-		plugin/authentication.cc \
-		plugin/client.cc \
-		plugin/error_message.cc \
-		plugin/function.cc \
-		plugin/info_schema_table.cc \
-		plugin/listen.cc \
-		plugin/listen_tcp.cc \
-		plugin/loader.cc \
-		plugin/logging.cc \
-		plugin/plugin.cc \
-		plugin/query_cache.cc \
-		plugin/registry.cc \
-		plugin/scheduler.cc \
-		plugin/transaction_applier.cc \
-		plugin/transaction_replicator.cc \
-		query_id.cc \
-		records.cc \
-		replication_services.cc \
-		session.cc \
-		set_var.cc \
-		show.cc \
-		sql_alloc.cc \
-		sql_base.cc \
-		sql_delete.cc \
-		sql_derived.cc \
-		sql_error.cc \
-		sql_insert.cc \
-		sql_lex.cc \
-		sql_list.cc \
-		sql_load.cc \
-		sql_locale.cc \
-		sql_parse.cc \
-		sql_select.cc \
-		sql_state.cc \
-		sql_string.cc \
-		sql_table.cc \
-		sql_union.cc \
-		sql_update.cc \
-		sql_yacc.yy \
-		stacktrace.cc \
-		statement/alter_schema.cc \
-		statement/alter_table.cc \
-		statement/analyze.cc \
-		statement/change_schema.cc \
-		statement/check.cc \
-		statement/checksum.cc \
-		statement/commit.cc \
-		statement/create_index.cc \
-		statement/create_schema.cc \
-		statement/create_table.cc \
-		statement/delete.cc \
-		statement/drop_index.cc \
-		statement/drop_schema.cc \
-		statement/drop_table.cc \
-		statement/empty_query.cc \
-		statement/flush.cc \
-		statement/insert.cc \
-		statement/insert_select.cc \
-		statement/kill.cc \
-		statement/load.cc \
-		statement/release_savepoint.cc \
-		statement/rename_table.cc \
-		statement/replace.cc \
-		statement/replace_select.cc \
-		statement/rollback.cc \
-		statement/rollback_to_savepoint.cc \
-		statement/savepoint.cc \
-		statement/select.cc \
-		statement/set_option.cc \
-		statement/show_create.cc \
-		statement/show_create_schema.cc \
-		statement/show_engine_status.cc \
-		statement/show_errors.cc \
-		statement/show_processlist.cc \
-		statement/show_status.cc \
-		statement/show_warnings.cc \
-		statement/start_transaction.cc \
-		statement/truncate.cc \
-		statement/unlock_tables.cc \
-		statement/update.cc \
-		strfunc.cc \
-		table.cc \
-		table_identifier.cc \
-		table_list.cc \
-		table_map_iterator.cc \
-		table_share.cc \
-		temporal.cc \
-		temporal_format.cc \
-		temporal_interval.cc \
-		time.cc \
-		tztime.cc \
-		uniques.cc \
-		user_var_entry.cc \
-		util/convert.cc \
-		xid.cc
-
-libserialutil_la_SOURCES = db.cc table_proto_write.cc
-libserialutil_la_CXXFLAGS= ${AM_CXXFLAGS} ${PROTOSKIP_WARNINGS}
-
-libhandler_la_SOURCES = cursor.cc plugin/storage_engine.cc
+drizzled_drizzled_DEPENDENCIES= ${noinst_LTLIBRARIES} $(pandora_plugin_libs)
+
+drizzled_drizzled_LDFLAGS = -export-dynamic
+
+
+noinst_HEADERS += \
+		drizzled/hash.h \
+		drizzled/gettext.h \
+		drizzled/global.h \
+		drizzled/server_includes.h \
+		drizzled/util/convert.h \
+		drizzled/util/test.h
+
+drizzled_drizzled_SOURCES = \
+		drizzled/alter_info.cc \
+		drizzled/cached_item.cc \
+		drizzled/calendar.cc \
+		drizzled/check_stack_overrun.cc \
+		drizzled/comp_creator.cc \
+		drizzled/create_field.cc \
+		drizzled/current_session.cc \
+		drizzled/diagnostics_area.cc \
+		drizzled/drizzled.cc \
+		drizzled/dtcollation.cc \
+		drizzled/errmsg_print.cc \
+		drizzled/error.cc \
+		drizzled/field.cc \
+		drizzled/field/blob.cc \
+		drizzled/field/date.cc \
+		drizzled/field/datetime.cc \
+		drizzled/field/decimal.cc \
+		drizzled/field/double.cc \
+		drizzled/field/enum.cc \
+		drizzled/field/int64_t.cc \
+		drizzled/field/long.cc \
+		drizzled/field/null.cc \
+		drizzled/field/num.cc \
+		drizzled/field/real.cc \
+		drizzled/field/str.cc \
+		drizzled/field/timestamp.cc \
+		drizzled/field/varstring.cc \
+		drizzled/field_conv.cc \
+		drizzled/field_iterator.cc \
+		drizzled/file_exchange.cc \
+		drizzled/filesort.cc \
+		drizzled/foreign_key.cc \
+		drizzled/function/additive_op.cc \
+		drizzled/function/check_reserved_words.cc \
+		drizzled/function/coercibility.cc \
+		drizzled/function/field.cc \
+		drizzled/function/find_in_set.cc \
+		drizzled/function/found_rows.cc \
+		drizzled/function/func.cc \
+		drizzled/function/get_system_var.cc \
+		drizzled/function/get_user_var.cc \
+		drizzled/function/last_insert.cc \
+		drizzled/function/locate.cc \
+		drizzled/function/math/abs.cc \
+		drizzled/function/math/acos.cc \
+		drizzled/function/math/asin.cc \
+		drizzled/function/math/atan.cc \
+		drizzled/function/math/ceiling.cc \
+		drizzled/function/math/cos.cc \
+		drizzled/function/math/decimal_typecast.cc \
+		drizzled/function/math/divide.cc \
+		drizzled/function/math/exp.cc \
+		drizzled/function/math/floor.cc \
+		drizzled/function/math/int.cc \
+		drizzled/function/math/int_divide.cc \
+		drizzled/function/math/int_val.cc \
+		drizzled/function/math/integer.cc \
+		drizzled/function/math/ln.cc \
+		drizzled/function/math/log.cc \
+		drizzled/function/math/minus.cc \
+		drizzled/function/math/mod.cc \
+		drizzled/function/math/multiply.cc \
+		drizzled/function/math/neg.cc \
+		drizzled/function/math/ord.cc \
+		drizzled/function/math/plus.cc \
+		drizzled/function/math/pow.cc \
+		drizzled/function/math/rand.cc \
+		drizzled/function/math/real.cc \
+		drizzled/function/math/round.cc \
+		drizzled/function/math/sin.cc \
+		drizzled/function/math/sqrt.cc \
+		drizzled/function/math/tan.cc \
+		drizzled/function/min_max.cc \
+		drizzled/function/num1.cc \
+		drizzled/function/num_op.cc \
+		drizzled/function/numhybrid.cc \
+		drizzled/function/row_count.cc \
+		drizzled/function/set_user_var.cc \
+		drizzled/function/sign.cc \
+		drizzled/function/signed.cc \
+		drizzled/function/str/alloc_buffer.cc \
+		drizzled/function/str/binary.cc \
+		drizzled/function/str/char.cc \
+		drizzled/function/str/collation.cc \
+		drizzled/function/str/concat.cc \
+		drizzled/function/str/conv.cc \
+		drizzled/function/str/conv_charset.cc \
+		drizzled/function/str/database.cc \
+		drizzled/function/str/elt.cc \
+		drizzled/function/str/export_set.cc \
+		drizzled/function/str/format.cc \
+		drizzled/function/str/hex.cc \
+		drizzled/function/str/insert.cc \
+		drizzled/function/str/left.cc \
+		drizzled/function/str/load_file.cc \
+		drizzled/function/str/make_set.cc \
+		drizzled/function/str/pad.cc \
+		drizzled/function/str/quote.cc \
+		drizzled/function/str/repeat.cc \
+		drizzled/function/str/replace.cc \
+		drizzled/function/str/reverse.cc \
+		drizzled/function/str/right.cc \
+		drizzled/function/str/set_collation.cc \
+		drizzled/function/str/str_conv.cc \
+		drizzled/function/str/strfunc.cc \
+		drizzled/function/str/substr.cc \
+		drizzled/function/str/trim.cc \
+		drizzled/function/str/user.cc \
+		drizzled/function/str/uuid.cc \
+		drizzled/function/str/weight_string.cc \
+		drizzled/function/time/curdate.cc \
+		drizzled/function/time/date.cc \
+		drizzled/function/time/date_add_interval.cc \
+		drizzled/function/time/date_format.cc \
+		drizzled/function/time/dayname.cc \
+		drizzled/function/time/dayofmonth.cc \
+		drizzled/function/time/dayofyear.cc \
+		drizzled/function/time/extract.cc \
+		drizzled/function/time/from_days.cc \
+		drizzled/function/time/from_unixtime.cc \
+		drizzled/function/time/hour.cc \
+		drizzled/function/time/last_day.cc \
+		drizzled/function/time/makedate.cc \
+		drizzled/function/time/microsecond.cc \
+		drizzled/function/time/minute.cc \
+		drizzled/function/time/month.cc \
+		drizzled/function/time/now.cc \
+		drizzled/function/time/period_add.cc \
+		drizzled/function/time/period_diff.cc \
+		drizzled/function/time/quarter.cc \
+		drizzled/function/time/second.cc \
+		drizzled/function/time/sysdate_local.cc \
+		drizzled/function/time/timestamp_diff.cc \
+		drizzled/function/time/to_days.cc \
+		drizzled/function/time/typecast.cc \
+		drizzled/function/time/unix_timestamp.cc \
+		drizzled/function/time/weekday.cc \
+		drizzled/function/time/year.cc \
+		drizzled/function/units.cc \
+		drizzled/function/unsigned.cc \
+		drizzled/function/user_var_as_out_param.cc \
+		drizzled/ha_commands.cc \
+		drizzled/ha_trx_info.cc \
+		drizzled/hybrid_type_traits.cc \
+		drizzled/hybrid_type_traits_decimal.cc \
+		drizzled/hybrid_type_traits_integer.cc \
+		drizzled/index_hint.cc \
+		drizzled/item.cc \
+		drizzled/item/bin_string.cc \
+		drizzled/item/cache.cc \
+		drizzled/item/cache_decimal.cc \
+		drizzled/item/cache_int.cc \
+		drizzled/item/cache_real.cc \
+		drizzled/item/cache_row.cc \
+		drizzled/item/cache_str.cc \
+		drizzled/item/cmpfunc.cc \
+		drizzled/item/copy_string.cc \
+		drizzled/item/create.cc \
+		drizzled/item/decimal.cc \
+		drizzled/item/default_value.cc \
+		drizzled/item/direct_ref.cc \
+		drizzled/item/empty_string.cc \
+		drizzled/item/field.cc \
+		drizzled/item/float.cc \
+		drizzled/item/hex_string.cc \
+		drizzled/item/ident.cc \
+		drizzled/item/insert_value.cc \
+		drizzled/item/int.cc \
+		drizzled/item/int_with_ref.cc \
+		drizzled/item/null.cc \
+		drizzled/item/num.cc \
+		drizzled/item/outer_ref.cc \
+		drizzled/item/ref.cc \
+		drizzled/item/ref_null_helper.cc \
+		drizzled/item/row.cc \
+		drizzled/item/string.cc \
+		drizzled/item/subselect.cc \
+		drizzled/item/sum.cc \
+		drizzled/item/type_holder.cc \
+		drizzled/item/uint.cc \
+		drizzled/join.cc \
+		drizzled/join_cache.cc \
+		drizzled/join_table.cc \
+		drizzled/key.cc \
+		drizzled/key_map.cc \
+		drizzled/lock.cc \
+		drizzled/lookup_symbol.cc \
+		drizzled/memory/multi_malloc.cc \
+		drizzled/my_decimal.cc \
+		drizzled/name_resolution_context_state.cc \
+		drizzled/natural_join_column.cc \
+		drizzled/opt_range.cc \
+		drizzled/opt_sum.cc \
+		drizzled/optimizer/key_field.cc \
+		drizzled/plugin/authentication.cc \
+		drizzled/plugin/client.cc \
+		drizzled/plugin/error_message.cc \
+		drizzled/plugin/function.cc \
+		drizzled/plugin/info_schema_table.cc \
+		drizzled/plugin/listen.cc \
+		drizzled/plugin/listen_tcp.cc \
+		drizzled/plugin/loader.cc \
+		drizzled/plugin/logging.cc \
+		drizzled/plugin/plugin.cc \
+		drizzled/plugin/query_cache.cc \
+		drizzled/plugin/registry.cc \
+		drizzled/plugin/scheduler.cc \
+		drizzled/plugin/transaction_applier.cc \
+		drizzled/plugin/transaction_replicator.cc \
+		drizzled/query_id.cc \
+		drizzled/records.cc \
+		drizzled/replication_services.cc \
+		drizzled/session.cc \
+		drizzled/set_var.cc \
+		drizzled/show.cc \
+		drizzled/sql_alloc.cc \
+		drizzled/sql_base.cc \
+		drizzled/sql_delete.cc \
+		drizzled/sql_derived.cc \
+		drizzled/sql_error.cc \
+		drizzled/sql_insert.cc \
+		drizzled/sql_lex.cc \
+		drizzled/sql_list.cc \
+		drizzled/sql_load.cc \
+		drizzled/sql_locale.cc \
+		drizzled/sql_parse.cc \
+		drizzled/sql_select.cc \
+		drizzled/sql_state.cc \
+		drizzled/sql_string.cc \
+		drizzled/sql_table.cc \
+		drizzled/sql_union.cc \
+		drizzled/sql_update.cc \
+		drizzled/sql_yacc.yy \
+		drizzled/stacktrace.cc \
+		drizzled/statement/alter_schema.cc \
+		drizzled/statement/alter_table.cc \
+		drizzled/statement/analyze.cc \
+		drizzled/statement/change_schema.cc \
+		drizzled/statement/check.cc \
+		drizzled/statement/checksum.cc \
+		drizzled/statement/commit.cc \
+		drizzled/statement/create_index.cc \
+		drizzled/statement/create_schema.cc \
+		drizzled/statement/create_table.cc \
+		drizzled/statement/delete.cc \
+		drizzled/statement/drop_index.cc \
+		drizzled/statement/drop_schema.cc \
+		drizzled/statement/drop_table.cc \
+		drizzled/statement/empty_query.cc \
+		drizzled/statement/flush.cc \
+		drizzled/statement/insert.cc \
+		drizzled/statement/insert_select.cc \
+		drizzled/statement/kill.cc \
+		drizzled/statement/load.cc \
+		drizzled/statement/release_savepoint.cc \
+		drizzled/statement/rename_table.cc \
+		drizzled/statement/replace.cc \
+		drizzled/statement/replace_select.cc \
+		drizzled/statement/rollback.cc \
+		drizzled/statement/rollback_to_savepoint.cc \
+		drizzled/statement/savepoint.cc \
+		drizzled/statement/select.cc \
+		drizzled/statement/set_option.cc \
+		drizzled/statement/show_create.cc \
+		drizzled/statement/show_create_schema.cc \
+		drizzled/statement/show_engine_status.cc \
+		drizzled/statement/show_errors.cc \
+		drizzled/statement/show_processlist.cc \
+		drizzled/statement/show_status.cc \
+		drizzled/statement/show_warnings.cc \
+		drizzled/statement/start_transaction.cc \
+		drizzled/statement/truncate.cc \
+		drizzled/statement/unlock_tables.cc \
+		drizzled/statement/update.cc \
+		drizzled/strfunc.cc \
+		drizzled/table.cc \
+		drizzled/table_identifier.cc \
+		drizzled/table_list.cc \
+		drizzled/table_map_iterator.cc \
+		drizzled/table_share.cc \
+		drizzled/temporal.cc \
+		drizzled/temporal_format.cc \
+		drizzled/temporal_interval.cc \
+		drizzled/time.cc \
+		drizzled/tztime.cc \
+		drizzled/uniques.cc \
+		drizzled/user_var_entry.cc \
+		drizzled/util/convert.cc \
+		drizzled/xid.cc
+
+drizzled_libserialutil_la_SOURCES = drizzled/db.cc drizzled/table_proto_write.cc
+drizzled_libserialutil_la_CXXFLAGS= ${AM_CXXFLAGS} ${PROTOSKIP_WARNINGS}
+
+drizzled_libhandler_la_SOURCES = drizzled/cursor.cc drizzled/plugin/storage_engine.cc
 
 AM_YFLAGS = -p DRIZZLE -d --verbose
 
 
 if BUILD_GCC_PCH
 PCHHEADERS = \
-		definitions.h.gch \
-		plugin/storage_engine.h.gch  \
-		sql_base.h.gch \
-		sql_parse.h.gch \
-		util/convert.h.gch \
-		util/test.h.gch
+		drizzled/definitions.h.gch \
+		drizzled/plugin/storage_engine.h.gch  \
+		drizzled/sql_base.h.gch \
+		drizzled/sql_parse.h.gch \
+		drizzled/util/convert.h.gch \
+		drizzled/util/test.h.gch
 else
 PCHHEADERS = 
 endif
 
-BUILT_MAINT_SRC = sql_yacc.cc \
-		  sql_yacc.h
+BUILT_MAINT_SRC = drizzled/sql_yacc.cc \
+		  drizzled/sql_yacc.h
 
-BUILT_SOURCES = $(BUILT_MAINT_SRC) \
-		symbol_hash.h \
-		function_hash.h \
+BUILT_SOURCES += $(BUILT_MAINT_SRC) \
+		drizzled/symbol_hash.h \
+		drizzled/function_hash.h \
 		$(PCHHEADERS) 
 
-EXTRA_DIST = \
+EXTRA_DIST += \
 		$(BUILT_MAINT_SRC) \
-		symbol_hash.gperf \
-		function_hash.gperf \
-		message.mc \
-		probes.d
+		drizzled/symbol_hash.gperf \
+		drizzled/function_hash.gperf \
+		drizzled/message.mc \
+		drizzled/probes.d
 
-CLEANFILES = \
-		configmake.h \
-		function_hash.h \
-		function_hash.stamp-h \
-		sql_yacc.output \
-		symbol_hash.h \
-		symbol_hash.stamp-h \
+CLEANFILES += \
+		drizzled/configmake.h \
+		drizzled/function_hash.h \
+		drizzled/function_hash.stamp-h \
+		drizzled/sql_yacc.output \
+		drizzled/symbol_hash.h \
+		drizzled/symbol_hash.stamp-h \
 		$(PCHHEADERS) \
 		$(nodist_drizzled_SOURCES)
 
 if DTRACE_NEEDS_OBJECTS
-drizzled_SOURCES += probes.d
+drizzled_drizzled_SOURCES += drizzled/probes.d
 endif
 
 if HAVE_DTRACE
-BUILT_SOURCES += generated_probes.h
-CLEANFILES += generated_probes.h
+BUILT_SOURCES += drizzled/generated_probes.h
+CLEANFILES += drizzled/generated_probes.h
 endif
 
 
-DISTCLEANFILES = $(EXTRA_PROGRAMS) \
+DISTCLEANFILES += $(EXTRA_PROGRAMS) \
 		 $(BUILT_MAINT_SRC)
 
-MAINTAINERCLEANFILES = $(BUILT_MAINT_SRC)
+MAINTAINERCLEANFILES += $(BUILT_MAINT_SRC)
 
 generated_probes.h : probes.d
 	$(DTRACE) $(DTRACEFLAGS) -h -s probes.d -o generated_probes.h
-	mv generated_probes.h generated_probes.h.bak
-	sed "s/#include <unistd.h>//g" generated_probes.h.bak > generated_probes.h
-	rm generated_probes.h.bak
-	sed -e 's,void \*,const void \*,g' generated_probes.h | \
+	mv drizzled/generated_probes.h drizzled/generated_probes.h.bak
+	sed "s/#include <unistd.h>//g" drizzled/generated_probes.h.bak > drzzled/generated_probes.h
+	rm drizzled/generated_probes.h.bak
+	sed -e 's,void \*,const void \*,g' drizzled/generated_probes.h | \
 		sed -e 's,char \*,const char \*,g' | tr '\t' ' ' > dtrace_probes.tmp
-	mv dtrace_probes.tmp generated_probes.h
-
-
-SUFFIXES = .d .gch .gperf .stamp-h
+	mv dtrace_probes.tmp drizzled/generated_probes.h
+
+
+SUFFIXES += .d .gch .gperf .stamp-h
 
 if BUILD_GCC_PCH
 .h.gch:
@@ -788,19 +788,19 @@
 .d.o : $(DTRACEFILES)
 	$(DTRACE) $(DTRACEFLAGS) -G -s $< $(DTRACEFILES)
 
-function_hash.h: function_hash.stamp-h
-symbol_hash.h: symbol_hash.stamp-h
+drizzled/function_hash.h: drizzled/function_hash.stamp-h
+drizzled/symbol_hash.h: drizzled/symbol_hash.stamp-h
 
 .gperf.stamp-h:
 	$(GPERF) -D --initializer-suffix=,0 --struct-type --enum \
 		--omit-struct-type --readonly-tables --language=C++ \
-		--class-name=$* $<  > $@
+		--class-name=$(*F) $<  > $@
 	@if ! test $$? ; then rm $@ ; fi
 	@if test -f $@ ; then \
 		if ! diff $@ \
-			   ${top_builddir}/drizzled/$*.h >/dev/null 2>&1 ; \
+			   ${top_builddir}/$*.h >/dev/null 2>&1 ; \
 		then \
-			cp $@ ${top_builddir}/drizzled/$*.h ; \
+			cp $@ ${top_builddir}/$*.h ; \
 		fi \
 	fi
 

=== renamed file 'drizzled/message/Makefile.am' => 'drizzled/message/include.am'
--- drizzled/message/Makefile.am	2009-12-04 11:09:16 +0000
+++ drizzled/message/include.am	2009-12-04 19:01:26 +0000
@@ -131,7 +131,7 @@
 
 SUFFIXES += .proto .pb.cc .pb.h
 
-MESSAGE_PROTO_PATH=${top_buildir}/${MESSAGE_DIR}:${top_srcdir}/${MESSAGE_DIR}
+MESSAGE_PROTO_PATH=${top_builddir}/${MESSAGE_DIR}:${top_srcdir}/${MESSAGE_DIR}
 
 .proto.pb.cc:
 	$(PROTOC) --proto_path=${MESSAGE_PROTO_PATH} \

=== renamed file 'support-files/Makefile.am' => 'support-files/include.am'
--- support-files/Makefile.am	2009-05-18 17:46:43 +0000
+++ support-files/include.am	2009-12-04 19:01:26 +0000
@@ -15,19 +15,21 @@
 # Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 # MA 02111-1307, USA
 
-SUBDIRS = smf
-
 pkgconfigdir = $(libdir)/pkgconfig
 
 # Default same as 'pkgdatadir', but we can override it
 pkgsuppdir =		$(datadir)/@PACKAGE@
 
-pkgsupp_DATA =		drizzle-log-rotate
+pkgsupp_DATA =		support-files/drizzle-log-rotate
 
-pkgsupp_SCRIPTS =	drizzle.server 
+pkgsupp_SCRIPTS =	support-files/drizzle.server 
 
 aclocaldir =		$(datadir)/aclocal
-aclocal_DATA =		drizzle.m4
+aclocal_DATA =		support-files/drizzle.m4
 
-EXTRA_DIST =		drizzle.m4
+EXTRA_DIST += \
+	support-files/drizzle.m4 \
+	support-files/smf/install.sh \
+	support-files/smf/drizzle.xml \
+	support-files/smf/drizzle
 

=== removed file 'support-files/smf/Makefile.am'
--- support-files/smf/Makefile.am	2009-05-18 17:46:43 +0000
+++ support-files/smf/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,16 +0,0 @@
-#  Copyright (C) 2009 Sun Microsystems
-#
-#  This program is free software; you can redistribute it and/or modify
-#  it under the terms of the GNU General Public License as published by
-#  the Free Software Foundation; version 2 of the License.
-#
-#  This program is distributed in the hope that it will be useful,
-#  but WITHOUT ANY WARRANTY; without even the implied warranty of
-#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#  GNU General Public License for more details.
-#
-#  You should have received a copy of the GNU General Public License
-#  along with this program; if not, write to the Free Software
-#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-EXTRA_DIST= install.sh drizzle.xml drizzle

=== renamed file 'tests/Makefile.am' => 'tests/include.am'
--- tests/Makefile.am	2009-11-12 19:15:28 +0000
+++ tests/include.am	2009-12-04 19:01:26 +0000
@@ -15,20 +15,20 @@
 # Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 # MA 02111-1307, USA
 
-srcdir=			${top_srcdir}/tests
 benchdir_root=		$(prefix)
 testdir =	        $(benchdir_root)/mysql-test
-EXTRA_SCRIPTS = 	valgrind.supp $(PRESCRIPTS)
-GENSCRIPTS =		install_test_db dtr test-run
-PRESCRIPTS =		test-run.pl stress-test.pl
+EXTRA_SCRIPTS = 	tests/valgrind.supp $(PRESCRIPTS)
+GENSCRIPTS =		tests/install_test_db tests/dtr tests/test-run
+PRESCRIPTS =		tests/test-run.pl tests/stress-test.pl
 PLUGIN_TESTS =		$(pandora_plugin_test_list)
 ALL_TESTS =		main,big,$(PLUGIN_TESTS)
 noinst_SCRIPTS =	$(GENSCRIPTS) $(PRESCRIPTS)
-CLEANFILES = 		$(GENSCRIPTS) mtr
-noinst_PROGRAMS = 	resolve_stack_dump
-resolve_stack_dump_SOURCES = resolve_stack_dump.cc
+CLEANFILES += 		$(GENSCRIPTS) tests/mtr
+noinst_PROGRAMS += 	tests/resolve_stack_dump
+tests_resolve_stack_dump_SOURCES = tests/resolve_stack_dump.cc
+tests_resolve_stack_dump_LDADD = ${TEST_LDADD}
 
-LDADD=			$(top_builddir)/mysys/libmysys.la \
+TEST_LDADD=			$(top_builddir)/mysys/libmysys.la \
                         $(top_builddir)/mystrings/libmystrings.la \
 			$(LIBINTL)
 
@@ -39,44 +39,44 @@
 		--testdir=${top_srcdir}/tests \
 		--mtr-build-thread=$$$$
 
-EXTRA_DIST = \
+EXTRA_DIST += \
 	$(EXTRA_SCRIPTS) \
 	suite \
-	${srcdir}/t \
-	${srcdir}/extra/rpl_tests/*.test \
-	${srcdir}/extra/binlog_tests/*.test \
-	${srcdir}/include/*.inc \
-	${srcdir}/include/*.sql \
-	${srcdir}/include/*.test \
-	${srcdir}/r/*.result \
-	${srcdir}/r/*.require \
-	${srcdir}/std_data/Moscow_leap \
-	${srcdir}/std_data/Index.xml \
-	${srcdir}/std_data/*.dat \
-	${srcdir}/std_data/*.000001 \
-	${srcdir}/std_data/des_key_file \
-	${srcdir}/std_data/*.pem \
-	${srcdir}/std_data/*.txt \
-	${srcdir}/std_data/*.frm \
-	${srcdir}/std_data/*.MY* \
-	${srcdir}/std_data/*.cnf \
-	${srcdir}/std_data/parts/part_* \
-	${srcdir}/lib/*.pl \
-	${srcdir}/lib/My/*.pm
+	tests/t \
+	tests/extra/rpl_tests/*.test \
+	tests/extra/binlog_tests/*.test \
+	tests/include/*.inc \
+	tests/include/*.sql \
+	tests/include/*.test \
+	tests/r/*.result \
+	tests/r/*.require \
+	tests/std_data/Moscow_leap \
+	tests/std_data/Index.xml \
+	tests/std_data/*.dat \
+	tests/std_data/*.000001 \
+	tests/std_data/des_key_file \
+	tests/std_data/*.pem \
+	tests/std_data/*.txt \
+	tests/std_data/*.frm \
+	tests/std_data/*.MY* \
+	tests/std_data/*.cnf \
+	tests/std_data/parts/part_* \
+	tests/lib/*.pl \
+	tests/lib/My/*.pm
 
 check: test-drizzle
 
 # dtr - a shortcut for executing test-run.pl
-dtr:
-	$(RM) -f mtr dtr
-	$(LN_S) ${top_srcdir}/tests/test-run.pl mtr
-	$(LN_S) ${top_srcdir}/tests/test-run.pl dtr
+tests/dtr:
+	$(RM) -f tests/mtr tests/dtr
+	$(LN_S) ${top_srcdir}/tests/test-run.pl tests/mtr
+	$(LN_S) ${top_srcdir}/tests/test-run.pl tests/dtr
 	$(mkdir_p) ${top_builddir}/tests/var
 
 # test-run - a shortcut for executing test-run.pl
-test-run:
-	$(RM) -f test-run
-	$(LN_S) ${top_srcdir}/tests/test-run.pl test-run
+tests/test-run:
+	$(RM) -f tests/test-run
+	$(LN_S) ${top_srcdir}/tests/test-run.pl tests/test-run
 
 
 .PHONY: test \
@@ -105,16 +105,20 @@
 	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=main,$(PLUGIN_TESTS)
 
 test-junitxml:
-	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=main,$(PLUGIN_TESTS) --subunit | subunit2junitxml --no-passthrough > junit-format.xml
+	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=main,$(PLUGIN_TESTS) --subunit | subunit2junitxml --no-passthrough > tests/junit-format.xml
 
 test-big:
 	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=big
 
 test-big-junitxml:
-	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=big --subunit | subunit2junitxml --no-passthrough > junit-format-big.xml
+	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=big --subunit | subunit2junitxml --no-passthrough > tests/junit-format-big.xml
 
 test-plugins:
 	$(TEST_RUN) $(TEST_RUN_EXTRA_OPTIONS) --fast --force --suite=$(PLUGIN_TESTS)
 
-distclean-local:
+distclean-local: nukevar
+
+nukevar:
 	rm -rf var
+
+.PHONY: nukevar

